petsc-3.7.1 2016-05-15
Report Typos and Errors

# DMPlexCreateHybridMesh

Create a mesh with hybrid cells along an internal interface

### Synopsis

    #include "petscdmplex.h"
    #include "petscdmlabel.h"
    PetscErrorCode DMPlexCreateHybridMesh(DM dm, DMLabel label, DMLabel *hybridLabel, DM *dmHybrid)

Collective on dm Many br

### Input Parameters

| dm | - The original DM Many br
| labelName | - The label specifying the interface vertices Many br

### Output Parameters

| hybridLabel | - The label fully marking the interface Many br
| dmHybrid | - The new DM Many br

Many br

### See Also

DMPlexConstructCohesiveCells(), DMPlexLabelCohesiveComplete(), DMCreate()

Level:developer
Location:src/dm/impls/plex/plexsubmesh.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages